<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from avireadframe.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="avireadframe" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>avireadframe</refname>
    <refpurpose>Grabs and returns a frame from a opened video file or camera (experimental)</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Syntax</title>
   <synopsis>
   im = avireadframe(n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> The opened video file/camera index.</para></listitem></varlistentry>
   <varlistentry><term>im :</term>
      <listitem><para> The returned frame/image. If no frame, return 0.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
avireadframe grabs and returns a frame from an opened video file or camera. It can only get the current frame and move to the pointer to the next frame.
   </para>
   <para>
Video support for IPCV is only available when IPCV is compiled with OpenCV which support video I/O.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
n = aviopen(fullpath(getIPCVpath() + "/images/video.avi"));
im = avireadframe(n); //get a frame
imshow(im);

avilistopened()
aviclose(n);

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="aviinfo">aviinfo</link></member>
   <member><link linkend="aviopen">aviopen</link></member>
   <member><link linkend="camopen">camopen</link></member>
   <member><link linkend="avifile">avifile</link></member>
   <member><link linkend="addframe">addframe</link></member>
   <member><link linkend="aviclose">aviclose</link></member>
   <member><link linkend="avicloseall">avicloseall</link></member>
   <member><link linkend="avilistopened">avilistopened</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Shiqi Yu</member>
   <member>Tan Chin Luh</member>
   </simplelist>
</refsection>
</refentry>
